import { NzModalRef } from 'ng-zorro-antd/modal';
import { ProvidersService } from 'fccore2';
import { FcComponent } from '../fc';
/**
 * fc-modalinput输入框模态框
 * 模态框中有一个输入框组件。
 * 比如修改密码、修改用户名时，需要弹窗框内有一个输入框组件时。
 */
export declare class FcmodalinputComponent extends FcComponent {
    provider: ProvidersService;
    modal: NzModalRef;
    /** 输入的内容 */
    content: string | number;
    /** 弹窗内的值传出 */
    set options(option: any);
    constructor(provider: ProvidersService, modal: NzModalRef);
    /**
     * 确定
     */
    ok(event: any): void;
    /**
     * 取消
     */
    cancel(event: any): void;
}
